function [data] = getLTSpicedata(filename)
pause(0.1) %BlackMagic to let the file system catch up
fid = fopen(filename, 'r');
tline = fgetl(fid); %Title: CMOS inverter
tline = fgetl(fid); %Date: Sat Oct 18 17:37:38 2014
tline = fgetl(fid); %Plotname: Transient Analysis
tline = fgetl(fid); %Flags: real forward
tline = fgetl(fid); %No. Variables: 2
num_cols = sscanf(tline,'%*s %*s %i');
tline = fgetl(fid); %No. Points:          960
num_rows = sscanf(tline,'%*s %*s %i');
tline = fgetl(fid); %Offset:   8.9999999999999999e-010
tline = fgetl(fid); %Command: Linear Technology Corporation LTspice IV
tline = fgetl(fid); %Variables:

%Get up to variables section
while ~strcmp(tline,'Variables:')
    tline = fgetl(fid);
end

% Get Variables
col_names =repmat({''},num_cols,1);

for col = 1:num_cols
    tline = fgetl(fid);
    raw_name = sscanf(tline,'%*s %s %*s');
    name = strrep(raw_name, '(', '_');
    name = strrep(name, ')', '');
    
    col_names(col) = cellstr(name);
end
tline = fgetl(fid); %Values:


% Get Values
%data = Inf(num_rows,num_cols);
data = struct([]);
for row_num = 1:num_rows
    tline = fgetl(fid);
    data(row_num).(col_names{1}) = sscanf(tline,'%*i %f'); %first line
    for col_num = 2:num_cols
        tline = fgetl(fid);
        data(row_num).(col_names{col_num}) = sscanf(tline,'%f');
    end
end
fclose(fid);
data = transpose_struct_array(data);  %Transpose it so it is a struct of arrays , so that references to the differences in the arrays will be resovled faster
