% Script to parse all generated csvs, plotting each
accel = [1.494,2];
inertia = [0.729,0.9];
xlabelString = 'SPICE Invocations';
ylabelString = 'Fitness Score';
for particles = [5,10,20]    
    figure;
    hold all;
    for j = 1:2
        psoParser(particles,accel(j),5,150);
    end
    MonteGrapher(150*particles);
    cutoffFitness = 1.2*1000*18;
    plot(line([0,150*particles],[cutoffFitness,cutoffFitness],...
        'LineStyle','--','Color',[0,0,0],'LineWidth',2));
    titleString = sprintf('%d particle PSO',particles);
    title(titleString);
    xlabel(xlabelString);
    ylabel(ylabelString);
    axis([0,150*particles,0,35000]);
    legend('Acceleration: 1.494  Inertia: 0.729',...
        'Acceleration: 2  Inertia: 0.9',...
        'Monte Carlo','Fitness Cutoff');
    hold off;
end