function [ data ] = spice_inverter_chain( Ws )
    cir_lines = {'Inverter_chain';...
        '*#save @Vdd[i] @Vdd[p] @Vin[i] @Vin[p] @CL[i] @CL[p] V(s9) @R1[i]';...
        '*#save @R1[p] V(dd) V(s0) V(1) V(s1) @M1[id] @M1[ig] @M1[iss]';...
        '*#save @M1[ib] @M1[p] @M2[id] @M2[ig] @M2[iss] @M2[ib] @M2[p] V(s2)';...
        '*#save @M3[id] @M3[ig] @M3[iss] @M3[ib] @M3[p] @M4[id] @M4[ig] @M4[iss]';...
        '*#save @M4[ib] @M4[p] V(s3) @M5[id] @M5[ig] @M5[iss] @M5[ib] @M5[p]';...
        '*#save @M6[id] @M6[ig] @M6[iss] @M6[ib] @M6[p] V(s4) @M7[id] @M7[ig]';...
        '*#save @M7[iss] @M7[ib] @M7[p] @M8[id] @M8[ig] @M8[iss] @M8[ib] @M8[p]';...
        '*#save V(s5) @M9[id] @M9[ig] @M9[iss] @M9[ib] @M9[p] @M10[id] @M10[ig]';...
        '*#save @M10[iss] @M10[ib] @M10[p] V(s6) @M11[id] @M11[ig] @M11[iss] @M11[ib]';...
        '*#save @M11[p] @M12[id] @M12[ig] @M12[iss] @M12[ib] @M12[p] V(s7) @M13[id]';...
        '*#save @M13[ig] @M13[iss] @M13[ib] @M13[p] @M14[id] @M14[ig] @M14[iss] @M14[ib]';...
        '*#save @M14[p] V(s8) @M15[id] @M15[ig] @M15[iss] @M15[ib] @M15[p] @M16[id]';...
        '*#save @M16[ig] @M16[iss] @M16[ib] @M16[p] @M17[id] @M17[ig] @M17[iss] @M17[ib]';...
        '*#save @M17[p] @M18[id] @M18[ig] @M18[iss] @M18[ib] @M18[p]';...
        '*#alias vin  v(s0)';...
        '*#view  tran vin';...
        '*#alias vout  v(s9)';...
        '*#view  tran vout';...
        '.TRAN 100p 18n 0.9n';... #Adjust Tranisent simulation settings here
        '.OPTIONS acct';...
        '.PRINT  TRAN vin';...
        '.PRINT  TRAN vout';...
        'Vdd dd 0 DC=10';...
        'Vin s0 0 PULSE 0 10 1n 0p 0 9ns 1';...
        'CL s9 0 1p';...
        sprintf('M1 s1 s0 dd dd CMOSP L=1.2u W=%iu ',Ws(1));...
        '.MODEL CMOSP PMOS Level=3 CGBO=3.3650E-10 CGDO=5.3752E-11';...
        '+ CGSO=5.3752E-11 CJ=4.8447E-04 CJSW=1.6457E-10';...
        '+ DELTA=1.5200E+00 ETA=1.6410E-01 GAMMA=0.4863';...
        '+ KAPPA=9.6940E+00 KP=2.9352E-05 LD=2.2000E-08 MJ=0.5027';...
        '+ MJSW=0.217168 NFS=3.46E+12 NSUB=1.8900E+16 PB=0.850000';...
        '+ PHI=0.600000 RSH=1.0470E+02 THETA=1.2480E-01 TOX=2.1200E-08';...
        '+ TPG=-1 UO=180.2 VMAX=3.7320E+05 VTO=-0.9056 XJ=0.200000U';...
        sprintf('M2 s1 s0 0 0 CMOSN L=1.2u W=%iu', Ws(2));...
        '.MODEL CMOSN NMOS Level=3 CGBO=3.6144E-10 CGDO=4.0241E-10';...
        '+ CGSO=4.0241E-10 CJ=3.8541E-04 CJSW=1.3940E-10';...
        '+ DELTA=6.9670E-01 ETA=4.3680E-02 GAMMA=0.5863';...
        '+ KAPPA=1.3960E-01 KP=9.6379E-05 LD=1.6470E-07 MJ=1.1854';...
        '+ MJSW=0.125195 NFS=1.98E+12 NSUB=2.7470E+16 PB=0.800000';...
        '+ PHI=0.600000 RSH=8.5450E+01 THETA=8.1220E-02 TOX=2.1200E-08';...
        '+ TPG=1 UO=591.7 VMAX=1.7330E+05 VTO=0.7860 XJ=0.200000U';...
        sprintf('M3 s2 s1 dd dd CMOSP L=1.2u W=%iu', Ws(3));...
        sprintf('M4 s2 s1 0 0 CMOSN L=1.2u W=%iu', Ws(4));...
        sprintf('M5 s3 s2 dd dd CMOSP L=1.2u W=%iu', Ws(5));...
        sprintf('M6 s3 s2 0 0 CMOSN L=1.2u W=%iu', Ws(6));...
        sprintf('M7 s4 s3 dd dd CMOSP L=1.2u W=%iu', Ws(7));...
        sprintf('M8 s4 s3 0 0 CMOSN L=1.2u W=%iu', Ws(8));...
        sprintf('M9 s5 s4 dd dd CMOSP L=1.2u W=%iu', Ws(9));...
        sprintf('M10 s5 s4 0 0 CMOSN L=1.2u W=%iu', Ws(10));...
        sprintf('M11 s6 s5 dd dd CMOSP L=1.2u W=%iu', Ws(11));...
        sprintf('M12 s6 s5 0 0 CMOSN L=1.2u W=%iu', Ws(12));...
        sprintf('M13 s7 s6 dd dd CMOSP L=1.2u W=%iu', Ws(13));...
        sprintf('M14 s7 s6 0 0 CMOSN L=1.2u W=%iu', Ws(14));...
        sprintf('M15 s8 s7 dd dd CMOSP L=1.2u W=%iu', Ws(15));...
        sprintf('M16 s8 s7 0 0 CMOSN L=1.2u W=%iu', Ws(16));...
        sprintf('M17 s9 s8 dd dd CMOSP L=1.2u W=%iu', Ws(17));...
        sprintf('M18 s9 s8 0 0 CMOSN L=1.2u W=%iu', Ws(18));...
        '.END'};
    
    data = isspice(cir_lines);
        
end

